// Copyright (C) 2004-2007 Tord Romstad

// This file is part of Glaurung.
//
// Glaurung is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//  
// Glaurung is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Glaurung; if not, write to the Free Software
// Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA


#if !defined(SAN_H_INCLUDED)
#define SAN_H_INCLUDED

////
//// Includes
////

#include "move.h"
#include "position.h"

#include <string>


////
//// Prototypes
////

extern const std::string move_to_san(Position& pos, Move m);
extern Move move_from_san(Position& pos, const std::string& str);


#endif // !defined(SAN_H_INCLUDED)
